<template>
  <button
    v-bind="$attrs"
    class="btn btn-md d-print-none"
    :class="buttonClasses"
    type="button"
  >
    <span class="text-nowrap d-flex justify-content-center align-items-center">
      <BaseSpinner v-if="props.loading" class="me-1" />
      <slot />
    </span>
  </button>
</template>

<script setup>
import { computed } from "vue";
import BaseSpinner from "@/components/BaseSpinner.vue";

const props = defineProps({
  variant: {
    type: String,
    required: false,
    default: "primary",
  },
  size: {
    type: String,
    required: false,
    default: "md",
  },
  loading: {
    type: Boolean,
    required: false,
    default: false,
  },
});

const buttonClasses = computed(() => {
  const classes = [`btn-${props.variant}`, `btn-${props.size}`];

  return classes;
});
</script>

<style></style>
